Bug 13861 - 'net ads join' to child domain fails when using -U admin@forestroot
'net ads join' to child domain fails when using -U admin@forestroot
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.9.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-28 09:49 UTC by Andreas Schneider
Modified: 2019-08-29 12:06 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.10 (13.41 KB, patch)
2019-04-02 06:07 UTC, Andreas Schneider
no flags Details
patch for 4.9 (13.41 KB, patch)
2019-04-02 06:08 UTC, Andreas Schneider
no flags Details
patch for 4.8 (13.42 KB, patch)
2019-04-02 06:08 UTC, Andreas Schneider
no flags Details
patch for 4.10 (17.25 KB, patch)
2019-04-05 09:06 UTC, Andreas Schneider
gd: review+
Details
patch for 4.9 (17.25 KB, patch)
2019-04-05 09:07 UTC, Andreas Schneider
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-03-28 09:49:23 UTC
'net ads join' to child domain fails when using -U admin@forestroot since Samba 4.5.

Patch will follow.
Comment 1 Andreas Schneider 2019-04-02 06:07:55 UTC
Created attachment 15033 [details]
patch for 4.10
Comment 2 Andreas Schneider 2019-04-02 06:08:17 UTC
Created attachment 15034 [details]
patch for 4.9
Comment 3 Andreas Schneider 2019-04-02 06:08:37 UTC
Created attachment 15035 [details]
patch for 4.8
Comment 4 Guenther Deschner 2019-04-02 12:31:48 UTC
Turns out, "net ads join" with -U FORESTROOT\admin and FO.REST.ROOT\admin was still failing, new patchset to follow soon.
Comment 5 Andreas Schneider 2019-04-05 09:06:46 UTC
Created attachment 15048 [details]
patch for 4.10
Comment 6 Andreas Schneider 2019-04-05 09:07:07 UTC
Created attachment 15049 [details]
patch for 4.9
Comment 7 Guenther Deschner 2019-04-08 14:31:32 UTC
Comment on attachment 15048 [details]
patch for 4.10

LGTM
Comment 8 Guenther Deschner 2019-04-08 14:31:53 UTC
Comment on attachment 15049 [details]
patch for 4.9

LGTM
Comment 9 Guenther Deschner 2019-04-08 14:32:33 UTC
Karolin, please add to 4.9 and 4.10. Thanks!
Comment 10 Karolin Seeger 2019-04-09 09:47:04 UTC
(In reply to Guenther Deschner from comment #9)
Pushed to autobuild-v4-{10,9}-test.
Comment 11 Karolin Seeger 2019-04-11 11:32:04 UTC
(In reply to Karolin Seeger from comment #10)
Pushed to both branches.
Closing out bug report.

Thanks!